oracle.xml.parser.schema

## Class JXSchemaFactoryLoader

- java.lang.Object
- - javax.xml.validation.SchemaFactoryLoader
  - - oracle.xml.parser.schema.JXSchemaFactoryLoader

    public class JXSchemaFactoryLoader
    extends javax.xml.validation.SchemaFactoryLoader

Factory that creates `SchemaFactory`.

This class is intended to be used by the implementations of the validation API, not by users.

### Method Summary

All Methods Instance Methods Concrete Methods
`javax.xml.validation.SchemaFactory` `newFactory(java.lang.String schemaLanguage)` Creates a new `SchemaFactory` object for the specified schema language.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### newFactory

    public javax.xml.validation.SchemaFactory newFactory(java.lang.String schemaLanguage)

Creates a new `SchemaFactory` object for the specified schema language.

Specified by:
  `newFactory` in class `javax.xml.validation.SchemaFactoryLoader`
Parameters:
  `schemaLanguage` - See the list of available schema languages.
Returns:
  `null` if the callee fails to create one.
Throws:
  `java.lang.NullPointerException` - If the `schemaLanguage` parameter is null.

Copyright © 2003, 2018, Oracle and/or its affiliates. All rights reserved.